## stx2any 1.56

=== Makefile ===

BUILD_USAGE_WITH=w3m

INSTALL=install -c

STX2ANY=./scripts/stx2any
PREFIX=/usr
BASE=$(DESTDIR)$(PREFIX)
EXEDIR=$(BASE)/bin
LIBDIR=$(BASE)/share/stx2any
MANDIR=$(BASE)/share/man/man1
MSGDIR=$(LIBDIR)/messages
EMACSDIR=$(BASE)/share/emacs/site-lisp
SCRIPTS=stx2any strip_stx gather_stx_titles html2stx extract_usage_from_stx
MANPAGES:=$(SCRIPTS:=.1)
MESSAGES:=$(SCRIPTS:=.usage) version.msg
INST_SCRIPTS=$(SCRIPTS:=.inst)
DOCDIR=$(BASE)/share/doc/stx2any
DOCBASE:=stx2any Stx-doc Stx-ref strip_stx gather_stx_titles html2stx \
	accreditions extract_usage_from_stx
DOCBASE:=$(DOCBASE:%=examples/%)
DOCS:=$(DOCBASE:=.html) $(MANPAGES) examples/README.html
FORMATS=html man latex docbook-xml
COMMON=common.m4 markup.m4 begin.m4 end.m4 cleanup.m4 secure.m4 templ.m4 \
       emphasis.sed inline.sed block.sed quote.sed quote_us.sed wrapcalls.sed \
       gatherlinkmap.sed linking.sed quote_quotes.sed header.sed
STXDEFS:=$(FORMATS:=/make.m4) $(FORMATS:=/templ.m4) $(FORMATS:=/settings.sh) \
	$(COMMON:%=common/%)

.SUFFIXES:

all: chmod doc $(MESSAGES) $(INST_SCRIPTS) $(STXDEFS)

chmod:
	chmod +x scripts/* regression/run-tests

html2stx.inst: scripts/html2stx
	cp $< $@

%.inst: scripts/%
	sed -e "s#^BASE=.*#BASE="$(LIBDIR)"#" $< >$@

%.1: examples/%.txt $(STXDEFS)
	sed -e "s#PREFIX#$(PREFIX)#" $< | $(STX2ANY) -T man >$@

%.usage: examples/%.txt $(STXDEFS)
ifeq ($(BUILD_USAGE_WITH),w3m)
	./scripts/extract_usage_from_stx $< | $(STX2ANY) -T text >$@
else
	./scripts/extract_usage_from_stx $< >$@
endif

version.msg: debian/changelog
	sed -e 's#^\([^(]*\)(\([^)]*\)).*#\1\2#' -e '1q' $< >$@

%.m4: %.lm4 
	./scripts/strip_stx $< >$@

%.sh: %.lsh 
	./scripts/strip_stx $< >$@

%.sed: %.lsed
	./scripts/strip_stx $< >$@

test: chmod $(STXDEFS)
	./regression/run-tests

doc: chmod $(DOCS)

install: all
	$(INSTALL) -m 755 -d $(EXEDIR) $(LIBDIR) $(MSGDIR) $(MANDIR) $(DOCDIR) $(EMACSDIR)
	for i in $(INST_SCRIPTS); do \
		$(INSTALL) -m 755 $$i $(EXEDIR)/`basename $$i .inst`; \
	done
	$(INSTALL) -m 644 $(MANPAGES) $(MANDIR)
	$(INSTALL) -m 644 $(DOCS) $(DOCBASE:=.txt) $(MISC) $(DOCDIR)
	$(INSTALL) -m 644 stx-mode.el $(EMACSDIR)
	for i in $(FORMATS); do \
	  $(INSTALL) -m 755 -d $(LIBDIR)/$$i; \
	  $(INSTALL) -m 644 $$i/*.m4 $$i/*.sh $(LIBDIR)/$$i; \
	done
	$(INSTALL) -m 755 -d $(LIBDIR)/common
	$(INSTALL) -m 644 common/*.m4 common/*.sed $(LIBDIR)/common
	$(INSTALL) -m 644 $(MESSAGES) $(MSGDIR)

titles.m4: $(DOCBASE:=.txt) common/header.sed
	./scripts/gather_stx_titles -p examples -f txt -t html $^ > $@

examples/README.html: README titles.m4 $(STXDEFS)
	$(STX2ANY) --link-abbrevs titles.m4 $< > $@

examples/Stx-doc.html: examples/Stx-doc.txt titles.m4 $(STXDEFS)
	$(STX2ANY) --link-abbrevs titles.m4 $< > $@

examples/Stx-ref.html: examples/Stx-ref.txt titles.m4 $(STXDEFS)
	$(STX2ANY) --numbering on titles.m4 $< > $@

%.html: %.txt titles.m4 $(STXDEFS)
	$(STX2ANY) titles.m4 $< > $@

clean: gc clean-leavedocs
	rm -f $(DOCS)

gc:
	rm -f *.dvi *.toc *.log *.aux

clean-leavedocs:
	rm -f $(STXDEFS) $(INST_SCRIPTS) $(MESSAGES) titles.m4

.PHONY: clean gc clean-leavedocs all doc install test chmod

=== debian/changelog ===
stx2any (1.56-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop html2stx. (closes: #945713)
  * Convert to 3.0 source format. (closes: #1007552)

 -- Bastian Germann <bage@debian.org>  Wed, 30 Nov 2022 20:22:05 +0100

stx2any (1.56-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 19:29:22 +0100

stx2any (1.56-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper compat level 9.  (closes: #817681)

 -- Bas Wijnen <wijnen@debian.org>  Mon, 20 Jun 2016 03:28:52 -0400

stx2any (1.56-2) unstable; urgency=low

  * Updated standards-version
  * Added build-indep and build-arch targets recommended by policy
  * removed some cruft from rules file

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 21 Aug 2006 20:58:12 +0300

stx2any (1.56-1) unstable; urgency=low

  * Added a w_man_desc macro and added documentation for writing proper man
    pages.  (closes: #380574)
  * Modified the man pages in the distribution to use w_man_desc.

 -- Panu Kalliokoski <atehwa@sange.fi>  Thu, 17 Aug 2006 13:32:33 +0300

stx2any (1.55-1) unstable; urgency=low

  * updated major version number because the .orig.tar.gz contains changes
    after 1.54 release.

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed, 21 Jun 2006 12:46:56 +0300

stx2any (1.54-4) unstable; urgency=low

  * Added missing build-depends on m4 (closes: #374641)

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 20 Jun 2006 19:28:52 +0300

stx2any (1.54-3) unstable; urgency=low

  * Moved python from Depends: to Recommends:.

 -- Panu Kalliokoski <atehwa@sange.fi>  Fri, 12 May 2006 15:36:36 +0300

stx2any (1.54-2) unstable; urgency=low

  * Added w3m and tidy to Recommends:.

 -- Panu Kalliokoski <atehwa@sange.fi>  Fri, 28 Apr 2006 18:00:44 +0300

stx2any (1.54-1) unstable; urgency=low

  * Changed command line option handling as suggested by Sven Mueller
    <debian@incase.de>.
  * More checks to --more-secure.
  * Copyright declarations in source files

 -- Panu Kalliokoski <atehwa@sange.fi>  Thu, 27 Apr 2006 14:14:58 +0300

stx2any (1.53-2) unstable; urgency=low

  * Put arch-independent building instructions into their proper place &
    updated debian/control
  * Added uploaders: field
  * License declarations in source files

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 25 Apr 2006 19:28:19 +0300

stx2any (1.53-1) unstable; urgency=low

  * Changed into a non-native package
  * updated standards-version
  * opened an ITP as should (closes: #354803)

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed,  1 Mar 2006 10:14:57 +0200

stx2any (1.53) unstable; urgency=low

  * w_autolabel and w_autorefer
  * fixes in table of contents generation
  * fixed --link-abbrevs to work together with --table-of-contents on

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed,  1 Feb 2006 11:30:41 +0200

stx2any (1.52) unstable; urgency=low

  * table of contents generation for HTML and man

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 31 Jan 2006 11:55:05 +0200

stx2any (1.51) unstable; urgency=low

  * admonitions
  * improved metadata quoting rules (makes it easier to insert e.g. an em dash
    in the title).

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 31 Jan 2006 11:01:19 +0200

stx2any (1.50) unstable; urgency=low

  * Fixed LaTeX paper size annotations to be different in slides

 -- Panu Kalliokoski <pkalliok@juiblex.it.helsinki.fi>  Mon, 30 Jan 2006 17:34:24 +0200

stx2any (1.49) unstable; urgency=low

  * --table-of-contents switch
  * cleaning up old code
  * fixed small things in slide support

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 24 Jan 2006 09:26:29 +0200

stx2any (1.48) unstable; urgency=low

  * Slide environment
  * --make-title switch

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 23 Jan 2006 19:32:52 +0200

stx2any (1.47) unstable; urgency=low

  * LaTeX defnlist items won't break with brackets
  * Layers: environments may invoke other environments.

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 10 Oct 2005 23:17:22 +0300

stx2any (1.46) unstable; urgency=low

  * neater results when label abbrevs in the same line
  * automatic labels are better named (less spurious diffs)

 -- Panu <atehwa@maim.it.helsinki.fi>  Thu, 30 Jun 2005 01:48:27 +0300

stx2any (1.45) unstable; urgency=low

  * Using alltt environment for LaTeX literal blocks. (instead of verbatim)

 -- Panu A Kalliokoski <pkalliok@ling.helsinki.fi>  Wed, 29 Jun 2005 12:36:39 +0300

stx2any (1.44) unstable; urgency=low

  * table captions
  * cleaned up and rearranged sed code (particularly for link abbrevs)
  * emphasis code updates: allowing literal formatting within non-quoted
    underscore emphases, broader rules for quotation marks

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Thu,  7 Apr 2005 21:00:05 +0300

stx2any (1.43) unstable; urgency=low

  * --link-abbrevs interaction with footnotes fix.
  * --sed-preprocessor command line switch

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Tue,  5 Apr 2005 18:12:31 +0300

stx2any (1.42) unstable; urgency=low

  * w_documentclass macro
  * build option to not use w3m

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Mon,  4 Apr 2005 10:40:32 +0300

stx2any (1.41) unstable; urgency=low

  * fixed bug in link abbrevs that caused the last paragraph to be copied to
    the beginning of the document if not followed by an empty line.  Yay.
  * no usage, just a short help message on m4 errors in stx2any

 -- Panu <atehwa@maim.it.helsinki.fi>  Wed, 30 Mar 2005 13:41:15 +0300

stx2any (1.40) unstable; urgency=low

  * w_title, w_author, w_date without arguments
  * fixed a small link abbrev bug that affected tabs followed by sq.brackets

 -- Panu <atehwa@maim.it.helsinki.fi>  Thu, 24 Feb 2005 09:52:45 +0200

stx2any (1.39) unstable; urgency=low

  * footnote markers at beginning and end of line
  * header blocks



=== debian/control ===
Source: stx2any
Section: text
Priority: extra
Maintainer: Panu Kalliokoski <atehwa@sange.fi>
Build-Depends-Indep: w3m, m4
Build-Depends: debhelper (>= 9)
Standards-Version: 3.7.2

Package: stx2any
Architecture: all
Depends: m4, ${misc:Depends}
Recommends: w3m, tidy
Description: Converter from structured plain text to other formats
 stx2any is a converter from structured text (Stx), which is plain text
 written in a standardised way, into other formats.  Formats available
 currently include (X)HTML, man, raw text, DocBook XML, PostScript and
 LaTeX.
 .
 Stx is a markup language in the tradition of plain text like markups,
 like wiki markup and ReST.  For a comparison between different plain
 text markup languages, see stx2any's home page
 (http://sange.fi/~atehwa/cgi-bin/piki.cgi/stx2any).
 .
 This package also has the following utilities:
  * strip_stx -- a literate programming tool
  * gather_stx_titles -- a script to automate cross-linking between
    documents
  * extract_usage_from_stx -- a script to produce "usage" messages from
    man pages written in stx

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

build-arch:
	:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/stx2any

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installemacsen
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
	:

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch clean
.PHONY: binary-indep binary-arch binary install configure
